> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetstream.ai/_mcp/server.

# Pause Bot Recording

POST https://api.meetstream.ai/api/v1/bots/{bot_id}/pause_recording

Temporarily pauses capture for a bot that is currently recording in a Google Meet meeting.
The bot remains in the meeting, but recorded and streamed video becomes black, audio becomes
silent, and real-time transcription stops producing words. The recording timeline is preserved.

This operation is idempotent. Pausing an already-paused bot is accepted and has no additional effect.


Reference: https://docs.meetstream.ai/api-reference/api-endpoints/bot-endpoints/pause-bot-recording

## Authentication

- `Authorization` header (required) (prefixed with `Token `) — Format: Token \<your\_api\_key>

## Request

### Path parameters

- `bot_id` (string, required) — The ID returned when the bot was created.

## Response

### 200

The pause command was accepted.

- `status` (enum, required) — Indicates that the pause command was accepted.
  - Allowed values: `accepted`
- `bot_id` (string, required) — The ID of the bot receiving the command.
- `command` (enum, required) — The recording command that was accepted.
  - Allowed values: `pause_recording`

## Errors

### 401 Unauthorized Error

Missing or invalid API key.

- `any`

### 403 Forbidden Error

The bot does not belong to your account.

- `any`

### 404 Not Found Error

Bot not found.

- `any`

### 409 Conflict Error

The bot is not currently in the meeting.

- `any`

### 429 Too Many Requests Error

Rate limit exceeded. This endpoint allows 30 requests per minute per bot.

- `any`

### 503 Service Unavailable Error

The bot is not currently recording or is unreachable.

- `any`

## Examples

**Response**

```json
{
  "status": "accepted",
  "bot_id": "83acdd72-3257-4b06-a2e9-0d879dc571ff",
  "command": "pause_recording"
}
```

**SDK Code**

```python
import requests

url = "https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording"

headers = {"Authorization": "Token <apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording';
const options = {method: 'POST', headers: {Authorization: 'Token <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Token <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Token <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording")
  .header("Authorization", "Token <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording', [
  'headers' => [
    'Authorization' => 'Token <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Token <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Token <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/83acdd72-3257-4b06-a2e9-0d879dc571ff/pause_recording")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```